#pragma once

/*!
 * This class defines a hierarchy.
 * It saves the number of nodes in this hierarchy.
 * @author Michael Beham
 * @date 3.6.2011
 */
class Hierarchy
{
public:
	/*!
	 * Standardconstructor
	 */
	Hierarchy(void);
	/*!
	 * Standardconstructor
	 * @param count [int] number of elements in this hierarchy
	 */
	Hierarchy(int count);
	/*!
	 * Standarddeconstructor
	 */
	~Hierarchy(void);

	/*!
	 * This method sets the number of nodes in this hierarchy
	 * @param count [int] number of nodes in this hierarchy
	 */
	void SetNumberOfNodes(int count);
	/*!
	 * This method returns the number of nodes in this hierarchy
	 * @return [int] number of nodes in this hierarchy
	 */
	int GetNumberOfNodes();

private:
	int m_numberOfNodes;
};

