#pragma once
#include "ReadFile.h"

/*!
 * This class reads a RTF file. 
 * It's child of ReadFile, and saves the fileinput into the DataFromFile objects.
 * @author Michael Beham
 * @date 6.3.2011
 */
class ReadRTFFile : public ReadFile
{
public:
	/*!
	 * Standardconstructor
	 */
	ReadRTFFile(void);
	/*!
	 * Standarddeconstructor
	 */
	~ReadRTFFile(void);

	/*!
	 * This method reads the input form the selected file and returns a DataFromFile vector
	 * @param [const char*] path path to the file
	 * @return [vector<DataFromFile>] data from file.
	 */
	virtual vector<DataFromFile> Read(const char*  path);
};
