#include "Edge.h"

Edge::Edge(VertexPtr start, VertexPtr end) : m_start(start), m_end(end)
{
}

Edge::~Edge(void)
{
}

void Edge::SetEdges(VertexPtr start, VertexPtr end)
{
	m_start = start;
	m_end = end;
}

void Edge::SetStartEdge(VertexPtr start)
{
	m_start=VertexPtr(start);
}

void Edge::SetEndEdge(VertexPtr end)
{
	m_end=VertexPtr(end);
}


Edge::VertexPtr Edge::GetStartEdge()
{
	return m_start;
}

Edge::VertexPtr Edge::GetEndEdge()
{
	return m_end;
}

void Edge::SetID(unsigned int id)
{
	m_id = id;
}

unsigned int Edge::GetID()
{
	return m_id;
}