#include "LoadData.h"
#include <sstream>

LoadData::LoadData()
{
	//printf("KONSTRUKTOR DATA\n\r");
}

LoadData::LoadData(const char* file)
{
	doc = TiXmlDocument(file);
	loadOkay = doc.LoadFile();
}

std::string LoadData::GetIntegerToString(int i)
{
	std::string s;
	std::stringstream out;
	out << i;
	s = out.str();
	return s;
}

void LoadData::ReadXMLFile(const char* file)
{
	doc = TiXmlDocument(file);
	loadOkay = doc.LoadFile();
}


char* LoadData::ConvertStringToChar(std::string string)
{
	char* sz = new char[string.length() + 1];
	strcpy(sz, string.c_str());
	return sz;
}

const char* LoadData::getIndent( unsigned int numIndents )
{
	static const char * pINDENT="                                      + ";
	static const unsigned int LENGTH=(int) strlen( pINDENT );
	unsigned int n=numIndents*NUM_INDENTS_PER_SPACE;
	if ( n > LENGTH ) n = LENGTH;

	return &pINDENT[ LENGTH-n ];
}