#include "ReadFile.h"

DataFromFile::DataFromFile(void)
{
}

DataFromFile::~DataFromFile(void)
{
}

ReadFile::ReadFile(void)
{
}

ReadFile::~ReadFile(void)
{
}

Graph* ReadFile::ConvertToDataStructure(vector<DataFromFile> data)
{
	unsigned int rootID = 0;
	Graph* graph(new Graph());

	for each(DataFromFile date in data)
	{
		if(date.subject.compare("LevelSeparator") == 0)	//Level Separator
		{
			//std::cout << "LEVEL SEPARATOR" << std::endl;
		}
		if(date.subject.compare("ElmType") == 0)	//Element Type
		{
			//std::cout << "ELEMent TYPE" << std::endl;
		}
		if(date.subject.compare("RelType") == 0)	//Relation Type
		{

		}
		if(date.subject.compare("HierarchyDepth") == 0)	//Hiearchy Depth
		{

		}
		if(date.subject.compare("HierarchyElements") == 0)	//Number of Hiearchy Elements
		{

		}
		if(date.subject.compare("ParentChildRelations") == 0)	//Number of Parent Child Relations
		{

		}
		if(date.subject.compare("Signatures") == 0)	//Number of Signatures
		{
			//std::cout << "Signatures" << std::endl;
		}
		if(date.subject.compare("Relations") == 0)	//Number of Relations
		{
			//std::cout << "Relations" << std::endl;
		}
		if(date.subject.compare("Root") == 0)	//Rootvertex
		{
			try
			{
				//std::cout << "Root" << std::endl;
				rootID = boost::lexical_cast<unsigned int>(date.value[0]);
			}
			catch(...)
			{
			}
		}

		if(date.subject.compare("H") == 0)	//Vertex
		{
			//std::cout << "H: " << date.value[0] << " " << date.value[1] << std::endl;
			unsigned int id = 0;
			id = atoi(date.value.at(0).c_str()); 
			boost::shared_ptr<Vertex> p (new Vertex(id, date.value[1]));
			graph->AddVertex(p);	
		}
		if(date.subject.compare("PCR") == 0)	//HierarchyEdge
		{
			try
			{
				//std::cout << "PCR ";

				VertexPtr start = graph->GetVertexWithID(boost::lexical_cast<unsigned int>(date.value[0]));
				VertexPtr end = graph->GetVertexWithID(boost::lexical_cast<unsigned int>(date.value[1]));

				//std::cout << start->GetID() << "Start: " << start->GetName() << std::endl;
				//std::cout << "    " << end->GetID() << "Ende: " << end->GetName() << std::endl;
			
				HierarchyPtr p(new HierarchyEdge(start, end));
				p->SetID(graph->GetNumberOfHiearchicEdges());
				graph->AddHierarchicEdge(p);
			}
			catch(...)
			{
			}
		}
		if(date.subject.compare("R") == 0)	//RelationEdge
		{
			try
			{	
				//std::cout << "R ";
				VertexPtr start = graph->GetVertexWithID(boost::lexical_cast<unsigned int>(date.value[0]));
				VertexPtr end = graph->GetVertexWithID(boost::lexical_cast<unsigned int>(date.value[1]));

				//std::cout << start->GetID() << "Start: " << start->GetName() << std::endl;
				//std::cout << "  " << end->GetID() << "Ende: " << end->GetName() << std::endl;
				RelationPtr p(new RelationEdge(start, end));
				p->SetID(graph->GetNumberOfRelationEdges());
				graph->AddRelationEdge(p);
			}
			catch(...)
			{
			}
		}
		/*if(date.subject.compare("S") == 0)	//Signature
		{
			std::cout << "S" << std::endl;
		}*/
	}

	//std::cout << "Root ID: " << rootID << std::endl;
	graph->SetRoot(rootID);
		
	return graph;
}