#include "ReadRTFFile.h"

ReadRTFFile::ReadRTFFile(void)
{
}

ReadRTFFile::~ReadRTFFile(void)
{
}

vector<DataFromFile> ReadRTFFile::Read(const char*  path)
{
	vector<DataFromFile> data;

	string line;
	ifstream myfile (path);
	if (myfile.is_open())
	{
		while ( myfile.good() )
		{
			DataFromFile datei;

			getline (myfile,line);
			//cout << line << endl;

			int subject_pos1 = line.find("\"",0)+1;
			int subject_pos2 = line.find("\"",subject_pos1)-1;
			datei.subject = line.substr(subject_pos1, subject_pos2);

			int value_pos1 = 0;
			int value_pos2 = subject_pos2+1;

			while((value_pos1 = line.find("\"", value_pos2+2)+1) > 1)
			{
				value_pos2 = line.find("\"", value_pos1)-1;
			//	std::cout << line.substr(value_pos1, value_pos2-value_pos1+1) << std::endl;
				datei.value.push_back(line.substr(value_pos1, value_pos2-value_pos1+1));
			}

			data.push_back(datei);
		}
		myfile.close();
	}
	
	else cout << "Unable to open file"; 

	return data;
}
