#include "RenderStates.h"
#include "View.h"
#include "Renderer.h"
#include "Light.h"

bool RenderStates::mode3d = true;
int RenderStates::drawNodes = 7;
int RenderStates::actView = View::VM_TREEMAP_SLICE_AND_DICE;
bool RenderStates::enable_shadow = false;
int RenderStates::blendingMode = Renderer::STD_BLENDING;
bool RenderStates::blendingon = true;

int RenderStates::LightAttenuate = 0;
int RenderStates::LightRadius = 1;
bool RenderStates::lighton = true;
int RenderStates::lighttype = Light::LT_CONIC;
vec3 RenderStates::lightpos = vec3(0,0,0);
vec3 RenderStates::spotdir = vec3(0,-1,0);
int RenderStates::shadow = 0;

int RenderStates::RotateX=0;
int RenderStates::RotateY=0;
int RenderStates::RotateZ=0;
int RenderStates::Scale=50;

int RenderStates::treemaptype = 0; //0...slice and dice 1...strips
bool RenderStates::cushionTexture = false;

bool RenderStates::mirrorRelationEdges = false;

vec3 RenderStates::vertexColor = vec3(1,1,1);
float RenderStates::vertexAlpha = 1.0f;
vec3 RenderStates::hierarchicColor = vec3(1,0,0);
float RenderStates::herarchicAlpha = 1.0f;
vec3 RenderStates::startRelationColor = vec3(0,0,1);
float RenderStates::startRelationAlpha = 0.2f;
vec3 RenderStates::endRelationColor = vec3(1,1,0);
float RenderStates::endRelationAlpha = 0.2f;
vec3 RenderStates::selectionColor = vec3(1,1,1);
float RenderStates::selectionAlpha = 1.0;

float RenderStates::beta = 0.5;

RenderStates::RenderStates(void)
{
}

RenderStates::~RenderStates(void)
{
}
