#include "Vertex.h"

Vertex::Vertex(void) : m_id(0), m_name("")
{
	m_childs.resize(0);
}

Vertex::Vertex(unsigned int id, std::string name) : m_id(id), m_name(name)
{
	m_childs.clear();
	m_pathToRoot.clear();
}

Vertex::~Vertex(void)
{
}

/*void Vertex::SetID(unsigned int id)
{
	m_id = id;	
}*/

unsigned int Vertex::GetID()
{
	return m_id;
}

void Vertex::SetName(std::string name)
{
	m_name = name;
}

std::string Vertex::GetName()
{
	return m_name;
}

void Vertex::SetParentVertex(VertexPtr parent)
{
	m_parent = parent;
}

Vertex::VertexPtr Vertex::GetParent()
{
	return m_parent;
}

void Vertex::AddChildVertex(VertexPtr parent)
{
	m_childs.push_back(parent);
}

unsigned int Vertex::GetNumberChildVertices()
{
	return m_childs.size();
}

Vertex::VertexPtr Vertex::GetChildVertexAt(int at)
{
	return m_childs[at];
}

std::vector<Vertex::VertexPtr> Vertex::GetChildVertices()
{
	return m_childs;
}

/*void Vertex::AddHierarchyEdge(HierarchyEdge& edge)
{
	m_hierarchyedge.push_back(edge);
}

void Vertex::AddRelationEdge(RelationEdge& edge)
{
	m_relationedge.push_back(edge);
}*/

void Vertex::SetHierarchyLevel(unsigned int level)
{
	m_level = level;
}

unsigned int Vertex::GetHierarchyLevel()
{
	return m_level;
}

void Vertex::SetPathToRoot(std::vector<unsigned int> pathToRoot)
{
	m_pathToRoot = pathToRoot;

}

std::vector<unsigned int> Vertex::GetPathToRoot()
{
	return m_pathToRoot;
}

bool Vertex::operator<=(VertexPtr v)
{
//	std::cout << "sortiere mich" << std::endl;
	if(GetParent()->GetID() <= v->GetParent()->GetID()) return true;
	else	return false;
}

bool Vertex::operator<(VertexPtr v)
{
//	std::cout << "sortiere mich" << std::endl;
	if(GetParent()->GetID() <= v->GetParent()->GetID()) return true;
	else	return false;
}

bool Vertex::operator()(Vertex v1,Vertex v2)
{
	std::cout << "sortiere mich" << std::endl;
	if(v1.GetParent()->GetID() <= v2.GetParent()->GetID()) return true;
	else	return false;
}

bool Vertex::operator()(VertexPtr v1,VertexPtr v2)
{
	std::cout << "sortiere mich" << std::endl;
	if(v1->GetParent()->GetID() <= v2->GetParent()->GetID()) return true;
	else	return false;
}