#include "MainWindow.h"
#include <QApplication>

int main(int argc, char* argv[]);

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{

	int    argc;
	char** argv;

	char*  arg;
	int    index;
	int    result;

	// count the arguments

	argc = 1;
	arg  = lpCmdLine;

	while (arg[0] != 0) {

		while (arg[0] != 0 && arg[0] == ' ') {
			arg++;
		}

		if (arg[0] != 0) {

			argc++;

			while (arg[0] != 0 && arg[0] != ' ') {
				arg++;
			}

		}

	}    

	// tokenize the arguments

	argv = (char**)malloc(argc * sizeof(char*));

	arg = lpCmdLine;
	index = 1;

	while (arg[0] != 0) {

		while (arg[0] != 0 && arg[0] == ' ') {
			arg++;
		}

		if (arg[0] != 0) {

			argv[index] = arg;
			index++;

			while (arg[0] != 0 && arg[0] != ' ') {
				arg++;
			}

			if (arg[0] != 0) {
				arg[0] = 0;    
				arg++;
			}

		}

	}    

	// put the program name into argv[0]

	char filename[_MAX_PATH];

	GetModuleFileName(NULL, (LPCH)filename, _MAX_PATH);
	argv[0] = filename;

	// call the user specified main function    

	result = main(argc, argv);

	free(argv);
	return result;
}

int main(int argc, char* argv[])
{
	//set the default OpenGL Version to 3.2
	QGLFormat fmt;
	fmt.setVersion(3,2);
	fmt.setProfile(QGLFormat::CompatibilityProfile); //CoreProfile!?
	//QGLFormat::OpenGLContextProfile pro = fmt.profile();
	QGLFormat::setDefaultFormat(fmt);


	QApplication app(argc, argv);
	MainWindow* mainWindow = new MainWindow();
	mainWindow->show();
	return app.exec();
	
}