#pragma once
#include "Edge.h"

/*!
 * This class defines a hierarchy edge
 * @author Michael Beham
 * @date 3.6.2011
 */
class HierarchyEdge : public Edge
{
public:
	/*!
	 * Standardconstructor
	 * @param start [VertexPtr] startvertex
	 * @param end [VertexPtr] endvertex
	 */
	HierarchyEdge(VertexPtr start, VertexPtr end);
	/*!
	 * Standarddeconstructor
	 */
	~HierarchyEdge(void);
};
