#pragma once
#include "view.h"
#include <map>

/*!
 * This class creates the radial tree layout.
 * It's child of View and defines the calculate method.
 * @author Michael Beham
 * @date 3.6.2011
 */
class RadialTree :	public View
{
public:
	/*!
	 * Standardconstructor
	 */
	RadialTree();
	/*!
	 * Standarddeconstructor
	 */
	~RadialTree(void);

	/*!
	 * This method creates the radial tree layout.
	 */
	virtual void Calculate();
};
