#pragma once
#include "view.h"
#include <map>

/*!
 * This class creates the roooted tree layout.
 * It's child of View and defines the calculate method.
 * @author Michael Beham
 * @date 3.6.2011
 */
class RootedTree :	public View
{
public:
	/*!
	 * Standardconstructor
	 */
	RootedTree();
	/*!
	 * Standarddeconstructor
	 */
	~RootedTree(void);

	/*!
	 * This method creates the rooted tree layout.
	 */
	virtual void Calculate();
};
